JDBCPooledDataSource (HSQLDB 2.4.0 API)
Date: 2017-04-09

org.hsqldb.jdbc.pool

## Class JDBCPooledDataSource

- java.lang.Object
- - org.hsqldb.jdbc.JDBCCommonDataSource
  - - org.hsqldb.jdbc.pool.JDBCPooledDataSource

- All Implemented Interfaces:
    Serializable, Referenceable, CommonDataSource, ConnectionPoolDataSource

      public class JDBCPooledDataSource
      extends JDBCCommonDataSource
      implements ConnectionPoolDataSource, Serializable, Referenceable, CommonDataSource

  A data source that implements `ConnectionPoolDataSource`.

  For use by connection pooling software, not by end users.

  Since:
    JDK 1.2, HSQLDB 2.0
  Author:
    Fred Toussi (fredt@users dot sourceforge.net)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCPooledDataSource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PooledConnection` | `getPooledConnection()`
    `PooledConnection` | `getPooledConnection(String user, String password)`
    `Reference` | `getReference()` Retrieves the Reference of this object.

    - ### Methods inherited from class org.hsqldb.jdbc.JDBCCommonDataSource

      `getDatabase, getDatabaseName, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getNetworkProtocol, getParentLogger, getServerName, getUrl, getURL, getUser, setDatabase, setDatabaseName, setLoginTimeout, setLogWriter, setPassword, setProperties, setUrl, setURL, setUser`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.sql.CommonDataSource

      `getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

- - ### Constructor Detail

    - #### JDBCPooledDataSource

          public JDBCPooledDataSource()

  - ### Method Detail

    - #### getPooledConnection

          public PooledConnection getPooledConnection()
                                               throws SQLException

      Specified by:
        `getPooledConnection` in interface `ConnectionPoolDataSource`
      Throws:
        `SQLException`

    - #### getPooledConnection

          public PooledConnection getPooledConnection(String user,
                                                      String password)
                                               throws SQLException

      Specified by:
        `getPooledConnection` in interface `ConnectionPoolDataSource`
      Throws:
        `SQLException`

    - #### getReference

          public Reference getReference()
                                 throws NamingException

      Retrieves the Reference of this object.
      Specified by:
        `getReference` in interface `Referenceable`
      Returns:
        The non-null javax.naming.Reference of this object.
      Throws:
        `NamingException` - If a naming exception was encountered while retrieving the reference.

Copyright © 2001 - 2017 HSQL Development Group.